Package ch.qos.logback.classic

# Class ClassicConstants

java.lang.Object
ch.qos.logback.classic.ClassicConstants

public class ClassicConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_MAX_CALLEDER_DATA_DEPTH`
The default stack data depth computed during caller data extraction.
`static final String`
`FINALIZE_SESSION`
`static final org.slf4j.Marker`
`FINALIZE_SESSION_MARKER`
`static final String`
`GAFFER_CONFIGURATOR_FQCN`
`static final String`
`JNDI_CONFIGURATION_RESOURCE`
`static final String`
`JNDI_CONTEXT_NAME`
`static final String`
`LOGBACK_CONTEXT_SELECTOR`
`static final int`
`MAX_DOTS`
The maximum number of package separators (dots) that abbreviation algorithms can handle.
`static final String`
`REQUEST_METHOD`
`static final String`
`REQUEST_QUERY_STRING`
`static final String`
`REQUEST_REMOTE_HOST_MDC_KEY`
`static final String`
`REQUEST_REQUEST_URI`
`static final String`
`REQUEST_REQUEST_URL`
`static final String`
`REQUEST_USER_AGENT_MDC_KEY`
`static final String`
`REQUEST_X_FORWARDED_FOR`
`static final String`
`USER_MDC_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ClassicConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USER_MDC_KEY

public static final String USER_MDC_KEY

See Also:
  - Constant Field Values

### LOGBACK_CONTEXT_SELECTOR

public static final String LOGBACK_CONTEXT_SELECTOR

See Also:
  - Constant Field Values

### JNDI_CONFIGURATION_RESOURCE

public static final String JNDI_CONFIGURATION_RESOURCE

See Also:
  - Constant Field Values

### JNDI_CONTEXT_NAME

public static final String JNDI_CONTEXT_NAME

See Also:
  - Constant Field Values

### MAX_DOTS

public static final int MAX_DOTS
The maximum number of package separators (dots) that abbreviation algorithms can handle. Class or logger names with more separators will have their first MAX_DOTS parts shortened.

See Also:
  - Constant Field Values

### DEFAULT_MAX_CALLEDER_DATA_DEPTH

public static final int DEFAULT_MAX_CALLEDER_DATA_DEPTH
The default stack data depth computed during caller data extraction.

See Also:
  - Constant Field Values

### REQUEST_REMOTE_HOST_MDC_KEY

public static final String REQUEST_REMOTE_HOST_MDC_KEY

See Also:
  - Constant Field Values

### REQUEST_USER_AGENT_MDC_KEY

public static final String REQUEST_USER_AGENT_MDC_KEY

See Also:
  - Constant Field Values

### REQUEST_REQUEST_URI

public static final String REQUEST_REQUEST_URI

See Also:
  - Constant Field Values

### REQUEST_QUERY_STRING

public static final String REQUEST_QUERY_STRING

See Also:
  - Constant Field Values

### REQUEST_REQUEST_URL

public static final String REQUEST_REQUEST_URL

See Also:
  - Constant Field Values

### REQUEST_METHOD

public static final String REQUEST_METHOD

See Also:
  - Constant Field Values

### REQUEST_X_FORWARDED_FOR

public static final String REQUEST_X_FORWARDED_FOR

See Also:
  - Constant Field Values

### GAFFER_CONFIGURATOR_FQCN

public static final String GAFFER_CONFIGURATOR_FQCN

See Also:
  - Constant Field Values

### FINALIZE_SESSION

public static final String FINALIZE_SESSION

See Also:
  - Constant Field Values

### FINALIZE_SESSION_MARKER

public static final org.slf4j.Marker FINALIZE_SESSION_MARKER

## Constructor Details

### ClassicConstants

public ClassicConstants()